PROC PRINTTO LOG='Z:/rais/logs/rais-draw-natl.log' PRINT='Z:/rais/logs/rais-draw-natl.log' NEW;
RUN;

**********************************************************************;
* April 25, 2006;
* THIS PROGRAM:
* 1) IMPORTS RANDOM DRAW FILE FROM CSV TO SAS;
* 2) MERGES RANDOM DRAW FILE TO INDIVIDUAL PIS FILES;
* 3) APPENDS RANDOM DRAW FILES TO GENERATE A SINGLE RANDOM DRAW FILE;
* 4) CREATES A LIST OF ALL CNPJ EVER IN WORKER RANDOM DRAWS;
**********************************************************************;

LIBNAME DRAWS 'Z:/rais/draws/natl';
LIBNAME NATL 'Z:/rais/draws/natl';
LIBNAME BASEPIS 'Z:/rais/base-pis';
OPTIONS SORTSIZE=MAX;
OPTIONS SORTDEV='Z:/rais/temp';

*** IMPORT DRAWS DATA FILE;
DATA DRAWS.RAIS_DRAW_WORKERS_NATL;
  INFILE 'Z:/rais/draws/natl/rais-draw-workers-natl.csv' DELIMITER = ',' MISSOVER DSD LRECL=32767 FIRSTOBS=2;
  LENGTH PIS 8
         FILE $6
         WID 8;
  INFORMAT PIS BEST32.;
  INFORMAT FILE $12.;
  INFORMAT WID BEST32.;
  FORMAT PIS BEST12.;
  FORMAT FILE $12.;
  FORMAT WID BEST12.;
  INPUT PIS
      FILE $
        WID;
RUN;

PROC SORT DATA=DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
RUN;


*** MERGE DRAWS TO PIS DATA;

* MERGE BY PIS IN FILE 1;
DATA NATL.PIS_1;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_1 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 10;
DATA NATL.PIS_10;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_10 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 100;
DATA NATL.PIS_100;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_100 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11aa;
DATA NATL.PIS_11aa;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11aa (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ab;
DATA NATL.PIS_11ab;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ab (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ac;
DATA NATL.PIS_11ac;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ac (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ad;
DATA NATL.PIS_11ad;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ad (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ae;
DATA NATL.PIS_11ae;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ae (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11af;
DATA NATL.PIS_11af;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11af (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ag;
DATA NATL.PIS_11ag;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ag (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ah;
DATA NATL.PIS_11ah;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ah (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ai;
DATA NATL.PIS_11ai;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ai (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11aj;
DATA NATL.PIS_11aj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11aj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ak;
DATA NATL.PIS_11ak;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ak (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11al;
DATA NATL.PIS_11al;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11al (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11am;
DATA NATL.PIS_11am;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11am (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11an;
DATA NATL.PIS_11an;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11an (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ao;
DATA NATL.PIS_11ao;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ao (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ap;
DATA NATL.PIS_11ap;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ap (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11aq;
DATA NATL.PIS_11aq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11aq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ar;
DATA NATL.PIS_11ar;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ar (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11as;
DATA NATL.PIS_11as;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11as (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11at;
DATA NATL.PIS_11at;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11at (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11au;
DATA NATL.PIS_11au;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11au (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11av;
DATA NATL.PIS_11av;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11av (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11aw;
DATA NATL.PIS_11aw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11aw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ax;
DATA NATL.PIS_11ax;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ax (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ay;
DATA NATL.PIS_11ay;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ay (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11az;
DATA NATL.PIS_11az;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11az (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11ba;
DATA NATL.PIS_11ba;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11ba (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bb;
DATA NATL.PIS_11bb;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bb (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bc;
DATA NATL.PIS_11bc;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bc (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bd;
DATA NATL.PIS_11bd;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bd (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11be;
DATA NATL.PIS_11be;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11be (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bf;
DATA NATL.PIS_11bf;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bf (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bg;
DATA NATL.PIS_11bg;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bg (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bh;
DATA NATL.PIS_11bh;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bh (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bi;
DATA NATL.PIS_11bi;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bi (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bj;
DATA NATL.PIS_11bj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bk;
DATA NATL.PIS_11bk;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bk (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bl;
DATA NATL.PIS_11bl;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bl (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bm;
DATA NATL.PIS_11bm;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bm (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 11bn;
DATA NATL.PIS_11bn;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_11bn (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 12;
DATA NATL.PIS_12;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_12 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13aa;
DATA NATL.PIS_13aa;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13aa (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ab;
DATA NATL.PIS_13ab;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ab (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ac;
DATA NATL.PIS_13ac;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ac (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ad;
DATA NATL.PIS_13ad;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ad (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ae;
DATA NATL.PIS_13ae;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ae (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13af;
DATA NATL.PIS_13af;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13af (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ag;
DATA NATL.PIS_13ag;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ag (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ah;
DATA NATL.PIS_13ah;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ah (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ai;
DATA NATL.PIS_13ai;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ai (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13aj;
DATA NATL.PIS_13aj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13aj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ak;
DATA NATL.PIS_13ak;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ak (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13al;
DATA NATL.PIS_13al;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13al (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13am;
DATA NATL.PIS_13am;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13am (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13an;
DATA NATL.PIS_13an;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13an (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ao;
DATA NATL.PIS_13ao;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ao (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ap;
DATA NATL.PIS_13ap;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ap (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13aq;
DATA NATL.PIS_13aq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13aq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ar;
DATA NATL.PIS_13ar;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ar (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13as;
DATA NATL.PIS_13as;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13as (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13at;
DATA NATL.PIS_13at;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13at (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13au;
DATA NATL.PIS_13au;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13au (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13av;
DATA NATL.PIS_13av;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13av (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13aw;
DATA NATL.PIS_13aw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13aw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ax;
DATA NATL.PIS_13ax;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ax (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ay;
DATA NATL.PIS_13ay;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ay (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ba;
DATA NATL.PIS_13ba;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ba (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bb;
DATA NATL.PIS_13bb;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bb (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bc;
DATA NATL.PIS_13bc;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bc (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bd;
DATA NATL.PIS_13bd;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bd (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13be;
DATA NATL.PIS_13be;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13be (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bf;
DATA NATL.PIS_13bf;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bf (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bg;
DATA NATL.PIS_13bg;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bg (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bh;
DATA NATL.PIS_13bh;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bh (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bi;
DATA NATL.PIS_13bi;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bi (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bj;
DATA NATL.PIS_13bj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bk;
DATA NATL.PIS_13bk;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bk (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bl;
DATA NATL.PIS_13bl;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bl (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bm;
DATA NATL.PIS_13bm;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bm (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bn;
DATA NATL.PIS_13bn;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bn (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bo;
DATA NATL.PIS_13bo;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bo (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bp;
DATA NATL.PIS_13bp;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bp (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bq;
DATA NATL.PIS_13bq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13br;
DATA NATL.PIS_13br;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13br (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bs;
DATA NATL.PIS_13bs;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bs (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bt;
DATA NATL.PIS_13bt;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bt (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bu;
DATA NATL.PIS_13bu;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bu (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bv;
DATA NATL.PIS_13bv;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bv (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bw;
DATA NATL.PIS_13bw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13bx;
DATA NATL.PIS_13bx;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13bx (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13by;
DATA NATL.PIS_13by;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13by (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ca;
DATA NATL.PIS_13ca;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ca (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cb;
DATA NATL.PIS_13cb;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cb (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cc;
DATA NATL.PIS_13cc;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cc (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cd;
DATA NATL.PIS_13cd;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cd (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ce;
DATA NATL.PIS_13ce;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ce (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cf;
DATA NATL.PIS_13cf;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cf (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cg;
DATA NATL.PIS_13cg;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cg (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ch;
DATA NATL.PIS_13ch;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ch (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ci;
DATA NATL.PIS_13ci;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ci (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cj;
DATA NATL.PIS_13cj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ck;
DATA NATL.PIS_13ck;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ck (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cl;
DATA NATL.PIS_13cl;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cl (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cm;
DATA NATL.PIS_13cm;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cm (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cn;
DATA NATL.PIS_13cn;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cn (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13co;
DATA NATL.PIS_13co;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13co (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cp;
DATA NATL.PIS_13cp;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cp (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cq;
DATA NATL.PIS_13cq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cr;
DATA NATL.PIS_13cr;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cr (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cs;
DATA NATL.PIS_13cs;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cs (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ct;
DATA NATL.PIS_13ct;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ct (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cu;
DATA NATL.PIS_13cu;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cu (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cv;
DATA NATL.PIS_13cv;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cv (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cw;
DATA NATL.PIS_13cw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cx;
DATA NATL.PIS_13cx;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cx (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13cy;
DATA NATL.PIS_13cy;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13cy (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13da;
DATA NATL.PIS_13da;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13da (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13db;
DATA NATL.PIS_13db;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13db (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dc;
DATA NATL.PIS_13dc;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dc (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dd;
DATA NATL.PIS_13dd;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dd (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13de;
DATA NATL.PIS_13de;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13de (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13df;
DATA NATL.PIS_13df;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13df (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dg;
DATA NATL.PIS_13dg;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dg (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dh;
DATA NATL.PIS_13dh;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dh (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13di;
DATA NATL.PIS_13di;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13di (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dj;
DATA NATL.PIS_13dj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dk;
DATA NATL.PIS_13dk;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dk (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dl;
DATA NATL.PIS_13dl;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dl (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dm;
DATA NATL.PIS_13dm;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dm (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dn;
DATA NATL.PIS_13dn;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dn (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13do;
DATA NATL.PIS_13do;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13do (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dp;
DATA NATL.PIS_13dp;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dp (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dq;
DATA NATL.PIS_13dq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dr;
DATA NATL.PIS_13dr;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dr (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13ds;
DATA NATL.PIS_13ds;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13ds (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dt;
DATA NATL.PIS_13dt;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dt (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13du;
DATA NATL.PIS_13du;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13du (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dv;
DATA NATL.PIS_13dv;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dv (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dw;
DATA NATL.PIS_13dw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dx;
DATA NATL.PIS_13dx;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dx (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 13dy;
DATA NATL.PIS_13dy;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_13dy (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 14;
DATA NATL.PIS_14;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_14 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 15;
DATA NATL.PIS_15;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_15 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 16;
DATA NATL.PIS_16;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_16 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 17;
DATA NATL.PIS_17;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_17 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18aa;
DATA NATL.PIS_18aa;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18aa (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ab;
DATA NATL.PIS_18ab;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ab (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ac;
DATA NATL.PIS_18ac;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ac (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ad;
DATA NATL.PIS_18ad;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ad (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ae;
DATA NATL.PIS_18ae;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ae (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18af;
DATA NATL.PIS_18af;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18af (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ag;
DATA NATL.PIS_18ag;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ag (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ah;
DATA NATL.PIS_18ah;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ah (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ai;
DATA NATL.PIS_18ai;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ai (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18aj;
DATA NATL.PIS_18aj;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18aj (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ak;
DATA NATL.PIS_18ak;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ak (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18al;
DATA NATL.PIS_18al;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18al (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18am;
DATA NATL.PIS_18am;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18am (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18an;
DATA NATL.PIS_18an;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18an (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ao;
DATA NATL.PIS_18ao;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ao (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ap;
DATA NATL.PIS_18ap;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ap (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18aq;
DATA NATL.PIS_18aq;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18aq (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ar;
DATA NATL.PIS_18ar;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ar (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18as;
DATA NATL.PIS_18as;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18as (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18at;
DATA NATL.PIS_18at;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18at (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18au;
DATA NATL.PIS_18au;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18au (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18av;
DATA NATL.PIS_18av;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18av (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18aw;
DATA NATL.PIS_18aw;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18aw (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ax;
DATA NATL.PIS_18ax;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ax (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 18ay;
DATA NATL.PIS_18ay;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_18ay (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19aa;
DATA NATL.PIS_19aa;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19aa (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19ab;
DATA NATL.PIS_19ab;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19ab (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19ac;
DATA NATL.PIS_19ac;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19ac (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19ad;
DATA NATL.PIS_19ad;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19ad (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 19ae;
DATA NATL.PIS_19ae;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_19ae (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 2;
DATA NATL.PIS_2;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_2 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 20;
DATA NATL.PIS_20;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_20 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 21;
DATA NATL.PIS_21;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_21 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 22;
DATA NATL.PIS_22;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_22 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 23;
DATA NATL.PIS_23;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_23 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 24;
DATA NATL.PIS_24;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_24 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 25;
DATA NATL.PIS_25;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_25 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 26;
DATA NATL.PIS_26;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_26 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 27;
DATA NATL.PIS_27;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_27 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 28;
DATA NATL.PIS_28;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_28 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 29;
DATA NATL.PIS_29;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_29 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 3;
DATA NATL.PIS_3;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_3 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 30;
DATA NATL.PIS_30;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_30 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 31;
DATA NATL.PIS_31;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_31 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 32;
DATA NATL.PIS_32;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_32 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 33;
DATA NATL.PIS_33;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_33 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 34;
DATA NATL.PIS_34;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_34 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 35;
DATA NATL.PIS_35;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_35 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 36;
DATA NATL.PIS_36;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_36 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 37;
DATA NATL.PIS_37;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_37 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 38;
DATA NATL.PIS_38;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_38 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 39;
DATA NATL.PIS_39;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_39 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 4;
DATA NATL.PIS_4;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_4 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 40;
DATA NATL.PIS_40;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_40 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 41;
DATA NATL.PIS_41;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_41 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 42;
DATA NATL.PIS_42;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_42 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 43;
DATA NATL.PIS_43;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_43 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 44;
DATA NATL.PIS_44;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_44 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 45;
DATA NATL.PIS_45;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_45 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 46;
DATA NATL.PIS_46;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_46 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 47;
DATA NATL.PIS_47;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_47 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 48;
DATA NATL.PIS_48;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_48 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 49;
DATA NATL.PIS_49;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_49 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 5;
DATA NATL.PIS_5;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_5 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 50;
DATA NATL.PIS_50;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_50 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 51;
DATA NATL.PIS_51;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_51 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 52;
DATA NATL.PIS_52;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_52 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 53;
DATA NATL.PIS_53;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_53 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 54;
DATA NATL.PIS_54;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_54 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 55;
DATA NATL.PIS_55;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_55 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 56;
DATA NATL.PIS_56;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_56 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 57;
DATA NATL.PIS_57;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_57 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 58;
DATA NATL.PIS_58;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_58 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 59;
DATA NATL.PIS_59;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_59 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 6;
DATA NATL.PIS_6;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_6 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 60;
DATA NATL.PIS_60;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_60 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 61;
DATA NATL.PIS_61;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_61 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 62;
DATA NATL.PIS_62;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_62 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 63;
DATA NATL.PIS_63;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_63 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 64;
DATA NATL.PIS_64;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_64 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 65;
DATA NATL.PIS_65;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_65 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 66;
DATA NATL.PIS_66;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_66 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 67;
DATA NATL.PIS_67;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_67 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 68;
DATA NATL.PIS_68;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_68 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 69;
DATA NATL.PIS_69;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_69 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 7;
DATA NATL.PIS_7;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_7 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 70;
DATA NATL.PIS_70;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_70 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 71;
DATA NATL.PIS_71;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_71 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 72;
DATA NATL.PIS_72;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_72 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 73;
DATA NATL.PIS_73;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_73 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 74;
DATA NATL.PIS_74;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_74 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 75;
DATA NATL.PIS_75;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_75 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 76;
DATA NATL.PIS_76;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_76 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 77;
DATA NATL.PIS_77;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_77 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 78;
DATA NATL.PIS_78;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_78 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 79;
DATA NATL.PIS_79;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_79 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 8;
DATA NATL.PIS_8;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_8 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 80;
DATA NATL.PIS_80;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_80 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 81;
DATA NATL.PIS_81;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_81 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 82;
DATA NATL.PIS_82;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_82 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 83;
DATA NATL.PIS_83;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_83 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 84;
DATA NATL.PIS_84;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_84 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 85;
DATA NATL.PIS_85;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_85 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 86;
DATA NATL.PIS_86;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_86 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 87;
DATA NATL.PIS_87;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_87 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 88;
DATA NATL.PIS_88;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_88 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 89;
DATA NATL.PIS_89;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_89 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 9;
DATA NATL.PIS_9;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_9 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 90;
DATA NATL.PIS_90;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_90 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 91;
DATA NATL.PIS_91;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_91 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 92;
DATA NATL.PIS_92;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_92 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 93;
DATA NATL.PIS_93;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_93 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 94;
DATA NATL.PIS_94;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_94 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 95;
DATA NATL.PIS_95;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_95 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 96;
DATA NATL.PIS_96;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_96 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 97;
DATA NATL.PIS_97;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_97 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 98;
DATA NATL.PIS_98;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_98 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;

* MERGE BY PIS IN FILE 99;
DATA NATL.PIS_99;
  LENGTH INMAST 3;
  INMAST=0;
  MERGE BASEPIS.PIS_99 (IN=INMAST) DRAWS.RAIS_DRAW_WORKERS_NATL;
  BY PIS;
  IF WID='.' THEN DELETE;
  IF ANO='.' THEN DELETE;
  DROP PIS;
RUN;


*** APPEND FILES;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_1;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_10;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_100;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11aa;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ab;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ac;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ad;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ae;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11af;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ag;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ah;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ai;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11aj;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ak;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11al;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11am;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11an;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ao;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ap;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11aq;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ar;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11as;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11at;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11au;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11av;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11aw;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ax;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ay;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11az;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11ba;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bb;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bc;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bd;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11be;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bf;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bg;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bh;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bi;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bj;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bk;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bl;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bm;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_11bn;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_12;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13aa;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ab;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ac;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ad;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ae;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13af;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ag;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ah;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ai;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13aj;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ak;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13al;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13am;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13an;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ao;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ap;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13aq;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ar;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13as;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13at;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13au;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13av;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13aw;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ax;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ay;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ba;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bb;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bc;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bd;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13be;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bf;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bg;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bh;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bi;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bj;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bk;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bl;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bm;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bn;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bo;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bp;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bq;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13br;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bs;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bt;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bu;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bv;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bw;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13bx;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13by;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ca;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cb;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cc;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cd;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ce;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cf;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cg;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ch;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ci;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cj;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ck;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cl;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cm;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cn;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13co;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cp;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cq;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cr;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cs;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ct;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cu;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cv;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cw;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cx;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13cy;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13da;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13db;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dc;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dd;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13de;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13df;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dg;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dh;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13di;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dj;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dk;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dl;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dm;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dn;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13do;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dp;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dq;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dr;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13ds;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dt;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13du;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dv;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dw;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dx;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_13dy;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_14;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_15;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_16;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_17;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18aa;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ab;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ac;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ad;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ae;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18af;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ag;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ah;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ai;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18aj;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ak;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18al;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18am;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18an;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ao;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ap;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18aq;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ar;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18as;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18at;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18au;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18av;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18aw;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ax;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_18ay;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_19aa;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_19ab;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_19ac;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_19ad;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_19ae;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_2;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_20;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_21;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_22;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_23;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_24;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_25;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_26;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_27;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_28;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_29;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_3;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_30;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_31;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_32;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_33;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_34;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_35;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_36;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_37;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_38;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_39;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_4;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_40;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_41;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_42;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_43;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_44;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_45;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_46;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_47;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_48;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_49;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_5;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_50;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_51;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_52;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_53;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_54;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_55;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_56;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_57;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_58;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_59;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_6;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_60;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_61;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_62;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_63;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_64;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_65;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_66;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_67;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_68;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_69;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_7;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_70;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_71;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_72;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_73;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_74;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_75;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_76;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_77;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_78;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_79;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_8;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_80;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_81;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_82;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_83;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_84;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_85;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_86;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_87;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_88;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_89;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_9;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_90;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_91;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_92;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_93;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_94;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_95;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_96;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_97;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_98;
RUN;

PROC APPEND BASE=NATL.WID_DRAW DATA=NATL.PIS_99;
RUN;


*** SORT DRAW DATA;
PROC SORT DATA=NATL.WID_DRAW OUT=NATL.WID_DRAW;
  BY WID ANO MES_ADM;
RUN;


*** GET CNPJ LIST;
DATA NATL.CNPJ_LIST (KEEP=IDENTIFICAD);
  SET NATL.WID_DRAW;
RUN;

PROC SORT DATA=NATL.CNPJ_LIST OUT=NATL.CNPJ_LIST NODUPRECS;
  BY IDENTIFICAD;
RUN;


*** EXPORT TO CSV;
PROC EXPORT DATA= DRAWS.WID_DRAW 
            OUTFILE= "Z:/rais/draws/natl/wid-draw-workers-natl.csv" 
            DBMS=CSV REPLACE;
RUN;
